Bug 189717 - Review Request: gcompris - Educational suite for kids 2-10 years old
Review Request: gcompris - Educational suite for kids 2-10 years old
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wart
Fedora Package Reviews List
:
Depends On: 189699
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-23 17:11 EDT by Hans de Goede
Modified: 2014-10-29 11:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-30 07:10:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
improved specfile (14.42 KB, text/plain)
2006-04-27 06:37 EDT, Hans de Goede
no flags Details

  None (edit)
Description Hans de Goede 2006-04-23 17:11:46 EDT
Spec URL:  http://home.zonnet.nl/jwrdegoede/gcompris.spec
Files URL: http://home.zonnet.nl/jwrdegoede/gcompris-files.tar.gz
Description:
GCompris / I Got IT is an educationnal game for children starting at 2.
More than 100 different activities are proposed:
* Click on the animals => learn the mouse/click usage
* Type the falling letters => learn the keyboard usage
* Falling Dices
* Falling words
* Basic algebra
* Time learning with an analog clock
* Puzzle game with famous paintings
* Drive Plane to catch clouds in increasing number
* Balance the scales
* And much more ...

Some activities make use of sounds.  For those you'll have to install the
gcompris-sound package for the languages you intend to use.

---

First of all sorry, no SRPM the upstream sources are way too large for my sucky ISP provided homepage. You can get the upstream tarball from:
http://sf.net/projects/gcompris
And then the files section.

All other needed SOURCES files are in gcompris-files.tar.gz, just untar this in your SOURCES dir and drop the main tarball in your SOURCES dir and you're good to go.

Notice that part of gcompris (1 activity) needs gnucap, which I've packaged too:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=189699

Last some small know issues, which I've also reported upstream:

1) If you switch the language to dutch and then start gcompris from a
cmdline the following messages appear:
parser error : EntityRef: expecting ';'
parser error : EntityRef: expecting ';'

These are libxml messages, things work fine though.

2) If you don't have any (valid) alphabet sounds and try to run the
   letter-click (click the letter you hear) board a message is shown
   saying that you need to install some alphabet sounds, it is however
   possible to still start and play the game behind the message box by
   clicking the letters. Also it is possible to exit to the main menu
   by pressing the home icon, the message box stays in place then , but
   its drawn over the home menu instead of over the letter click board.
Comment 1 Hans de Goede 2006-04-24 01:02:41 EDT
I've had contact with upstream and the 2 small known issues have been fixed
upstream, I'll see if its easy to backport the fixes.
Comment 2 Hans de Goede 2006-04-25 04:10:35 EDT
I've updated both the spec file ant he -files.tar.gz with a -2 version, this
fixes issue 1) unfortunatly upstreams fix for issue 2) was not correct / did not
fix the issue.
Comment 3 Wart 2006-04-26 18:16:59 EDT
* rpmlint warnings:
W: gcompris incoherent-version-in-changelog 7.4-2 7.4-1
W: gcompris-devel no-dependency-on gcompris
...plus some 'no documentation' warnings that you might be able to ignore.

* gcompris-desktop.patch has the following line that should probably be removed:
Only in gcompris-7.4: gcompris.desktop.in~

* Only builds on the devel branch due to missing libassetml for FC-5.

* The icon in the .desktop files are missing the .png extension, but the icons
in the icon directory end in .png.

I'm looking at gnucap now, so I'll probably have more comments once I can
actually install this.
Comment 4 Hans de Goede 2006-04-27 03:04:14 EDT
(In reply to comment #3)
> * rpmlint warnings:
> W: gcompris incoherent-version-in-changelog 7.4-2 7.4-1

My bad I added a changelog entry for my changes but forgot to bump Release: I
will fix this (easy).

> W: gcompris-devel no-dependency-on gcompris

Thats because it depends on gcompris-libs, where the actual libs are thats what
you get with program and libs (and data) in one _big_ upstream tarbal.

> ...plus some 'no documentation' warnings that you might be able to ignore.
> 

gcompris comes with plenty of documentation in the main package in a lot of
languages, so yes I intend to ignore these :)

> * gcompris-desktop.patch has the following line that should probably be removed:
> Only in gcompris-7.4: gcompris.desktop.in~
> 

Thats because I used diff not gendiff to generate the diff, this is totaly
harmless, but I can remove it if it makes you happy.

> * Only builds on the devel branch due to missing libassetml for FC-5.
> 

My grand master plan was / is to ask for a FC-5 cvs branch for libassetml,
gnucap and gcompris all at the same time.

> * The icon in the .desktop files are missing the .png extension, but the icons
> in the icon directory end in .png.
> 

Other .desktop files have this too (gsview for example) it works fine either
way,but my desktop patch did screw up the .desktop translations, so I have to
fix that anyways, I can also add the .png at the same time if you want, but that
would be unnescesarry deviation from upstream.
Comment 5 Hans de Goede 2006-04-27 06:37:48 EDT
Created attachment 128297 [details]
improved specfile

Here is an improved specfile, this fixes the changelog <-> version warning.
I've dropped the desktop.in patch as that breaks .desktop file translations and
replaced this with 2 sed commands, which are run at the end of %build, thus
after the translations have been merged into the desktop files. It turns out
that the upstream .desktop files do have .png at the end for the icons, and I
no longer remove this :)
Comment 6 Hans de Goede 2006-04-29 07:41:17 EDT
I've just finished uploading a new version, locations are still the same:
Spec URL:  http://home.zonnet.nl/jwrdegoede/gcompris.spec
Files URL: http://home.zonnet.nl/jwrdegoede/gcompris-files.tar.gz

Notting was changed except for the addition of Patch4 which fixes issue 2) as
listed in the initial opening comment.
Comment 7 Wart 2006-04-30 03:12:59 EDT
rpmlint output:
E: gcompris hardcoded-library-path in $RPM_BUILD_ROOT/usr/lib/menu

- This is a bogus warning.  rpmlint is complaining about the src
  rpm without realizing that this file is being removed, not included.

W: gcompris-devel no-dependency-on gcompris

- This is ok by design.  -devel requires -libs so that it doesn't
  need to pull in rather large (and unnecessary) base package.

W: gcompris-devel no-documentation
W: gcompris-libs no-documentation

- This can be ignored.  The developers documentation is integrated with
  the base package's documentation.

W: gcompris-flags no-documentation
W: gcompris-sound-da no-documentation
W: gcompris-sound-de no-documentation
W: gcompris-sound-en no-documentation
W: gcompris-sound-es no-documentation
W: gcompris-sound-eu no-documentation
W: gcompris-sound-fi no-documentation
W: gcompris-sound-fr no-documentation
W: gcompris-sound-hu no-documentation
W: gcompris-sound-it no-documentation
W: gcompris-sound-nl no-documentation
W: gcompris-sound-pt no-documentation
W: gcompris-sound-ru no-documentation
W: gcompris-sound-sv no-documentation

- These can be ignored.  There's no need for documentation for localized
  sound/flag files.


MUST
====
 * GPL license ok, license file included
 * Package and spec file named appropriately
 * Spec file legible and in Am. English (except for the localized parts)
 * Sources for the review came from upstream:
   d80e55da21170a98d671c98b3e582cc3  SOURCES/gcompris-7.4.tar.gz
 * Builds in mock on devel-i386, devel-x86_64
 * Locales handled appropriately
 * ldconfig called for shared libs in -libs subpackage
 * Not relocatable
 * Owns directories that it creates
 * No duplicate %files
 * Contains code and permissible content
 * $RPM_BUILD_ROOT cleaned correctly in %install and %clean
 * File permissions appear to be ok
 * headers, .so, and pkgconfig files in -devel
 * -devel requires -libs, not base (this is acceptable, see above)
 * .la files not included
 * .desktop files installed correctly
 * No need for -doc subpackage

SHOULD
=========
 * Consider adding Requires: tuxpaint for the tuxpaint launcher

I did a quick check of the english/german sounds on a handful of the games and
it worked with no obvious problems.

No blockers found.

APPROVED
Comment 8 Hans de Goede 2006-04-30 07:10:21 EDT
(In reply to comment #7)
> 
> SHOULD
> =========
>  * Consider adding Requires: tuxpaint for the tuxpaint launcher
>

Ah, I thought they had build their own clone / copy I didn'y know it was just a
launcher, I've added the requirement.
 
> I did a quick check of the english/german sounds on a handful of the games and
> it worked with no obvious problems.
> 

I may hope so this one has taken me a lot of time :)

> No blockers found.
> 
> APPROVED
> 

Thanks!

Imported & Build.
Comment 9 PM 2014-10-29 09:56:36 EDT
Hello, it is possible to make packages for EL7 ?
THANKS
Comment 10 Hans de Goede 2014-10-29 11:14:44 EDT
Hi,

(In reply to PM from comment #9)
> Hello, it is possible to make packages for EL7 ?
> THANKS

I'm sorry, but I don't have the time to maintain EPEL packagers, if you're a packager yourself, you're welcome to request and maintain EPEL branches of gcompris. If you're not a packager yourself, try asking someone who maintains EPEL packages.

Regards,

Hans

Note You need to log in before you can comment on or make changes to this bug.